## ros-melodic-controller-manager 0.18.3

=== debian/changelog ===
ros-melodic-controller-manager (0.18.3-1stretch) stretch; urgency=high

  * Update docs in hardware_interface
  * Contributors: Franz Pucher

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-controller-manager (0.18.2-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Aug 2020 23:00:00 -0000

ros-melodic-controller-manager (0.18.1-1stretch) stretch; urgency=high

  * Add function specifiers and modernize constructors (#430 <https://github.com/ros-controls/ros_control/issues/430>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 May 2020 23:00:00 -0000

ros-melodic-controller-manager (0.18.0-1stretch) stretch; urgency=high

  * enable spawner to wait indefinitely if requested (#428 <https://github.com/ros-controls/ros_control/issues/428>)
    rospy.wait_for_service does not allow for 0 to wait indefinitely.
    Instead, None has to be passed explicitly.
    By personal request of three maintainers extended to include documentation
    and the alternative argument --no-timeout.
  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Michael Görner, Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-controller-manager (0.17.0-1stretch) stretch; urgency=high

  * Use auto keyword
  * Use default member initializers
  * Replace boost with std
  * Replace boost mutexes & locks with std
  * Replace boost::bind with std::bind
  * Contributors: AbhinavSingh, Bence Magyar, Matt Reynolds, suab321321

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-melodic-controller-manager (0.16.0-1stretch) stretch; urgency=high

  * Use range-based for loops in controller_manager
  * Resolve Boost dependency issues
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Add ${catkin_EXPORTED_TARGETS} dependencies
  * Update package dependencies
  * Add missing roscpp & rospy dependencies
  * Prefer nullptr for null pointers
  * Replace header guard with #pragma once
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Fix build error in clang error: non-aggregate type 'std::vector' (aka 'vector >') cannot be initialized with an initializer list
  * Multi-update cycle mode switch (#391 <https://github.com/ros-controls/ros_control/issues/391>)
    For more info: https://github.com/pal-robotics-forks/ros_control2/pull/5
    * Added tests for ControllerManager update
    * Mocks for controllers and controller loader in update test
    * Divided in tests with and without controllers
    * Controller state initialized in mock
    * Moved mocks to test class
    * All tests using mock class
    * Test for multiple updates in a single controller
    * Added new switchResult() function to RobotHW interface
    ControllerManager uses this function to wait for the result of the
    doSwitch() before starting the new set of controllers
    * Using ranged based loops
    * Switch is now managed in a separate function
    * Option to start controllers as soon as their joints are ready after a switch
    * Tests for controller_interface API
    * Added new STOPPED, WAITING and ABORTED states to ControllerBase
    * Split manageSwitch() into smaller functions
    * Abort pending controllers in case of switch error
    * Changed default behaviour of new switch param
    This way if it not set it will be the same behaviour as previous version
    * Added timeout parameter to switch controller
    * Removed unnecessary includes
    * Using target_include_directories for the test
    * std::all_of instead of std::count_if
    * Deleted autogenerated file
    * Adapted tests to changes in controller_manager
    * Adapted python implementation to new parameters in SwitchController
    * Added missing parameter description docstring
    * Moved all parameters used for switching to a separate object
    * Moved error messages to controller_base
    * State check functions are now const
    * Removed unnecessary comments
    * Added constants for start_asap and timeout default parameters values
  * Remove extra {
  * Adding Pal Robotics to copyright notice
    Co-Authored-By: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
  * Added constants for start_asap and timeout default parameters values
  * Moved error messages to controller_base
  * Moved all parameters used for switching to a separate object
  * Added missing parameter description docstring
  * Adapted python implementation to new parameters in SwitchController
  * Deleted autogenerated file
  * std::all_of instead of std::count_if
  * Cosmetics
  * Fixed lincenses
  * Removed unnecessary includes
  * Added timeout parameter to switch controller
  * Changed default behaviour of new switch param
    This way if it not set it will be the same behaviour as previous version
  * Abort pending controllers in case of switch error
  * Split manageSwitch() into smaller functions
  * Added new STOPPED, WAITING and ABORTED states to ControllerBase
  * Option to start controllers as soon as their joints are ready after a switch
  * Switch is now managed in a separate function
  * Using ranged based loops
  * Added new switchResult() function to RobotHW interface

