=== debian/control ===
Source: ros-melodic-controller-manager
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-controller-interface, ros-melodic-controller-manager-msgs, ros-melodic-hardware-interface, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-rostest
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-melodic-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-interface, ros-melodic-controller-manager-msgs, ros-melodic-hardware-interface, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-rosparam, ros-melodic-rospy, ros-melodic-std-msgs
Description: The controller manager.
